<template>
  <div v-if="isLoaded">
    <component v-for="(item, index) in page.page_structure" :key="index" :is="item" v-bind="page.page_data[index].props">
      <template v-slot:[name] v-for="(slot, name) in page.page_data[index].slots" :key="name">
        {{slot}}
      </template>
    </component>
  </div>
</template>

<script>
import { onMounted, computed } from "vue";
import { useRoute } from "vue-router";
import site_components from "sc/index";
import { useStore } from "vuex";


export default {
  components: {
    ...site_components.sections
  },
  setup(){
    const store = useStore();

    store.dispatch('pages/getData')
    
    const route = useRoute();
    onMounted(async ()=>{
        console.log(route.path)
        console.log(route.query)
    }); 

    return {
      isLoaded: computed(() => store.getters['pages/isLoaded']),
      page: computed(() => store.getters['pages/getPage'](route.path))
    }
  }
}
</script>

<style scoped lang="scss">
</style>
